Bug 28418 - Show template_id of MARC modification templates
Summary: Show template_id of MARC modification templates
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 28423
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-21 14:37 UTC by Barbara Johnson
Modified: 2021-08-12 21:13 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.09


Attachments
Bug 28418: Show template_id of MARC modification templates (5.31 KB, patch)
2021-05-21 18:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28418: Show template_id of MARC modification templates (5.37 KB, patch)
2021-05-21 20:21 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 28418: Show template_id of MARC modification templates (5.43 KB, patch)
2021-05-24 13:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2021-05-21 14:37:07 UTC
We've been working on creating lots of MARC modification templates.  It would be great if each template was auto-assigned an identifying number so that when I'm communicating to another staff member I can give them the template number to use. Rather than saying look for the template named 'Copy 800|t and 800|v to 490|a and 490|v' I could say use template 21.  This would make it easier for another staff member to find and increase accuracy.
Comment 1 Owen Leonard 2021-05-21 15:50:26 UTC
The templates already have an internal id, so it's just a matter of exposing it in the template. It'd probably be a good idea to add DataTables and table configuration so that we can configure the default to continue to hide the id column.
Comment 2 Owen Leonard 2021-05-21 18:44:39 UTC
Created attachment 121283 [details] [review]
Bug 28418: Show template_id of MARC modification templates

This patch adds an "id" column to the table of MARC modification
templates. The table is now a DataTable with table settings, with the
new column hidden by default to preserve the existing configuration.

To test, apply the patch and restart services.

 - Go to Administration -> MARC modification templates.
 - If necessary, add two or more templates.
 - Confirm that table of templates displays as a DataTable, with all
   associated sorting, filtering, export, etc.
 - The "id" column should be hidden by default.
 - Confirm that column visibility controls work correctly.
 - Confirm that the table settings found under Administration -> Table
   settings work correctly to set the default visibility of the table
   columns.
Comment 3 PTFS Europe Sandboxes 2021-05-21 20:21:53 UTC
Created attachment 121288 [details] [review]
Bug 28418: Show template_id of MARC modification templates

This patch adds an "id" column to the table of MARC modification
templates. The table is now a DataTable with table settings, with the
new column hidden by default to preserve the existing configuration.

To test, apply the patch and restart services.

 - Go to Administration -> MARC modification templates.
 - If necessary, add two or more templates.
 - Confirm that table of templates displays as a DataTable, with all
   associated sorting, filtering, export, etc.
 - The "id" column should be hidden by default.
 - Confirm that column visibility controls work correctly.
 - Confirm that the table settings found under Administration -> Table
   settings work correctly to set the default visibility of the table
   columns.

Signed-off-by: Barbara Johnson  <barbara.johnson@bedfordtx.gov>
Comment 4 Barbara Johnson 2021-05-21 20:23:11 UTC
This worked great.
Comment 5 Katrin Fischer 2021-05-24 13:36:48 UTC
Created attachment 121328 [details] [review]
Bug 28418: Show template_id of MARC modification templates

This patch adds an "id" column to the table of MARC modification
templates. The table is now a DataTable with table settings, with the
new column hidden by default to preserve the existing configuration.

To test, apply the patch and restart services.

 - Go to Administration -> MARC modification templates.
 - If necessary, add two or more templates.
 - Confirm that table of templates displays as a DataTable, with all
   associated sorting, filtering, export, etc.
 - The "id" column should be hidden by default.
 - Confirm that column visibility controls work correctly.
 - Confirm that the table settings found under Administration -> Table
   settings work correctly to set the default visibility of the table
   columns.

Signed-off-by: Barbara Johnson  <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-05-24 13:37:55 UTC
The width of the table columns is a bit unusual here as we don't have a lot of columns. Discussed with Owen on IRC and happy to leave it like that for now.
Comment 7 Jonathan Druart 2021-06-21 12:04:12 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 8 Kyle M Hall 2021-07-09 11:56:34 UTC
Backported to 21.05.x for 21.05.02
Comment 9 Fridolin Somers 2021-08-02 20:09:30 UTC
Pushed to 20.11.x for 20.11.09
Comment 10 Victor Grousset/tuxayo 2021-08-12 21:13:07 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.